Db2CallMetaDataProvider (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc.core.metadata

## Class Db2CallMetaDataProvider

- java.lang.Object
- - org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider
  - - org.springframework.jdbc.core.metadata.Db2CallMetaDataProvider

- All Implemented Interfaces:
    CallMetaDataProvider

      public class Db2CallMetaDataProvider
      extends GenericCallMetaDataProvider

  DB2 specific implementation for the `CallMetaDataProvider` interface. This class is intended for internal use by the Simple JDBC classes.
  Since:
    2.5
  Author:
    Thomas Risberg, Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Db2CallMetaDataProvider(DatabaseMetaData databaseMetaData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeWithMetaData(DatabaseMetaData databaseMetaData)` Initialize using the provided DatabaseMetData.
    `String` | `metaDataSchemaNameToUse(String schemaName)` Provide any modification of the schema name passed in to match the meta data currently used.

    - ### Methods inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

      `byPassReturnParameter, catalogNameToUse, createDefaultInOutParameter, createDefaultInParameter, createDefaultOutParameter, getCallParameterMetaData, getRefCursorSqlType, getUserName, initializeWithProcedureColumnMetaData, isProcedureColumnMetaDataUsed, isRefCursorSupported, isReturnResultSetSupported, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isSupportsCatalogsInProcedureCalls, isSupportsSchemasInProcedureCalls, metaDataCatalogNameToUse, parameterNameToUse, procedureNameToUse, schemaNameToUse, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, setSupportsCatalogsInProcedureCalls, setSupportsSchemasInProcedureCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Db2CallMetaDataProvider

          public Db2CallMetaDataProvider(DatabaseMetaData databaseMetaData)
                                  throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### initializeWithMetaData

          public void initializeWithMetaData(DatabaseMetaData databaseMetaData)
                                      throws SQLException

      Description copied from interface: `CallMetaDataProvider`
      Initialize using the provided DatabaseMetData.
      Specified by:
        `initializeWithMetaData` in interface `CallMetaDataProvider`
      Overrides:
        `initializeWithMetaData` in class `GenericCallMetaDataProvider`
      Parameters:
        `databaseMetaData` - used to retrieve database specific information
      Throws:
        `SQLException` - in case of initialization failure

    - #### metaDataSchemaNameToUse

          public String metaDataSchemaNameToUse(String schemaName)

      Description copied from interface: `CallMetaDataProvider`
      Provide any modification of the schema name passed in to match the meta data currently used. The reyurned value will be used for meta data lookups. This could include alterig the case used or providing a base schema if mone provided.
      Specified by:
        `metaDataSchemaNameToUse` in interface `CallMetaDataProvider`
      Overrides:
        `metaDataSchemaNameToUse` in class `GenericCallMetaDataProvider`